#!/usr/bin/env python3
# -*- coding: utf-8 -*-

import logging

logger = logging.getLogger(f"wp_cal.{__name__}")

def dict_merge(d0, d1):
    for k, v in d1.items():
        if (k in d0 and isinstance(d0[k], dict) and isinstance(d1[k], dict)):
            dict_merge(d0[k], d1[k])
        else:
            d0[k] = d1[k]
